{
  "description": "JobStatus represents the current state of a Job.",
  "properties": {
    "active": {
      "description": "The number of pending and running pods.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "completedIndexes": {
      "description": "completedIndexes holds the completed indexes when .spec.completionMode = \"Indexed\" in a text format. The indexes are represented as decimal integers separated by commas. The numbers are listed in increasing order. Three or more consecutive numbers are compressed and represented by the first and last element of the series, separated by a hyphen. For example, if the completed indexes are 1, 3, 4, 5 and 7, they are represented as \"1,3-5,7\".",
      "type": [
        "string",
        "null"
      ]
    },
    "completionTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "Represents time when the job was completed. It is not guaranteed to be set in happens-before order across separate operations. It is represented in RFC3339 form and is in UTC. The completion time is only set when the job finishes successfully."
    },
    "conditions": {
      "description": "The latest available observations of an object's current state. When a Job fails, one of the conditions will have type \"Failed\" and status true. When a Job is suspended, one of the conditions will have type \"Suspended\" and status true; when the Job is resumed, the status of this condition will become false. When a Job is completed, one of the conditions will have type \"Complete\" and status true. More info: https://kubernetes.io/docs/concepts/workloads/controllers/jobs-run-to-completion/",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.batch.v1.JobCondition"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-type": "atomic",
      "x-kubernetes-patch-merge-key": "type",
      "x-kubernetes-patch-strategy": "merge"
    },
    "failed": {
      "description": "The number of pods which reached phase Failed.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "failedIndexes": {
      "description": "FailedIndexes holds the failed indexes when backoffLimitPerIndex=true. The indexes are represented in the text format analogous as for the `completedIndexes` field, ie. they are kept as decimal integers separated by commas. The numbers are listed in increasing order. Three or more consecutive numbers are compressed and represented by the first and last element of the series, separated by a hyphen. For example, if the failed indexes are 1, 3, 4, 5 and 7, they are represented as \"1,3-5,7\". This field is beta-level. It can be used when the `JobBackoffLimitPerIndex` feature gate is enabled (enabled by default).",
      "type": [
        "string",
        "null"
      ]
    },
    "ready": {
      "description": "The number of pods which have a Ready condition.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "startTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "Represents time when the job controller started processing a job. When a Job is created in the suspended state, this field is not set until the first time it is resumed. This field is reset every time a Job is resumed from suspension. It is represented in RFC3339 form and is in UTC."
    },
    "succeeded": {
      "description": "The number of pods which reached phase Succeeded.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "terminating": {
      "description": "The number of pods which are terminating (in phase Pending or Running and have a deletionTimestamp).\n\nThis field is beta-level. The job controller populates the field when the feature gate JobPodReplacementPolicy is enabled (enabled by default).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "uncountedTerminatedPods": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.batch.v1.UncountedTerminatedPods",
      "description": "uncountedTerminatedPods holds the UIDs of Pods that have terminated but the job controller hasn't yet accounted for in the status counters.\n\nThe job controller creates pods with a finalizer. When a pod terminates (succeeded or failed), the controller does three steps to account for it in the job status:\n\n1. Add the pod UID to the arrays in this field. 2. Remove the pod finalizer. 3. Remove the pod UID from the arrays while increasing the corresponding\n    counter.\n\nOld jobs might not be tracked using this field, in which case the field remains null."
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/jobstatus/batch/v1"
}